
/*----------> CLASS <----------*/

.button {
    /* border: none; */
    display:            inline-block;
    padding:            8px 16px;
    vertical-align:     middle;
    overflow:           hidden;
    text-decoration:    none;
    text-align:         center;
    cursor:             pointer;
    white-space:        nowrap;
    z-index:            1002 ;

    background:     #333;
    background:     linear-gradient(#333, $darkred);

    color:              rgb(255, 255, 255);
    height:             55px;
    outline:            none;
}
.button:hover {
    border:             2px solid black;
    i    { color:       $bluefluo; }
}

.display-left{
    border-radius:              0px 20px 20px 0px !important;
        -webkit-border-radius:  0px 20px 20px 0px !important;
        -moz-border-radius:     0px 20px 20px 0px !important;
    transform:              translate(0%,-50%);
        -moz-transform:     translate(-0%,-50%);
        -webkit-transform:  translate(-0%,-50%);

    position:   absolute;
    top:        50%;
    left:       1px;
}
.display-right{
    border-radius:             20px 0px 0px 20px !important;
        -webkit-border-radius: 20px 0px 0px 20px !important;
        --o-border-radius:     20px 0px 0px 20px !important;
        -moz-border-radius:    20px 0px 0px 20px !important;
        --ms-border-radius:    20px 0px 0px 20px !important;

    transform:              translate(0%,-50%);
        -webkit-transform:  translate(0%,-50%);
        -moz-transform:     translate(0%,-50%);
        -ms-transform:      translate(0%,-50%);
        -o-transform:       translate(0%,-50%);

    position:   absolute;
    top:        50%;
    right:      1px;
}

/*----------> SLIDER <----------*/

$text-size-slider:      1.1em;

#slideshow {
    z-index:       500;
    text-align :   center;

    background:    #666;
    background:    linear-gradient(#333, #666);
    border:        2px solid $darkred;

    position:      absolute;

    width:         70%;
    height:        94%;
    margin:        auto !important;

    border-radius               : 12px;
        -webkit-border-radius   : 12px ;
        -moz-border-radius      : 12px ;

    h2 {
        font-family:    "Lucida Fax";
        font-size:      2.2em;
        color:          white;
        position :      relative;
        top:            25px;
    }

    /* Fading animation */
    .fade {
        animation-name:                 fade;
            -webkit-animation-name:     fade;
        animation-duration:             1.5s;
            -webkit-animation-duration: 1.5s;
    }
    @-webkit-keyframes fade {
       from { opacity: .4}
       to   { opacity: 1 }
    }
    @keyframes fade {
       from { opacity: .4}
       to   { opacity: 1 }
    }

    #btn_close_slider {
        position : absolute;
        top      : 25px;
        right    : 15px;
    }
    #slide_container {
        .slide {
            z-index          : 1000;
            width            : 100%;
            height           : 76%;
            margin           : auto !important;
            text-align       : left;
            background-color : lightgray;
            position         : absolute;
            top              : 85px;
            display          : flex; //Lors de l'affichage
            flex-direction   : row;
            justify-content  : center;
            align-items      : center;
            border-radius    : 3px;

            .img-card {
                width         : 40%;
                height        : 85%;
                margin        : 15px !important;
                padding-right : 20px;
                border-radius : 50%;
            }
            .text-container {
                width :         45%;
                text-align :    justify;
                margin :        15px !important;
                font-size :     $text-size-slider;

                .card-title {   font-weight : bold; }
                .text-card {
                    margin-top  : 15px !important;
                    line-height : 1.5em;
                    font-size   : 0.9em;
                }
            }
        }
    }
    #bloc_marker { position: absolute;
        .slider_btn {
            width:      20px;
            height:     20px;
            margin:     0 12px;

            background-color:   $darkred;
            color: white;
            border:             none;

            border-radius :             50%;
                -webkit-border-radius : 50%;
                -moz-border-radius :    50%;

        }

        .slider_btn_active{
            background-color:   $bluefluo;
            color:              $darkred;
            font-weight :       bold;
        }
        .slider_btn:hover {
            background-color:   $bluefluo;
            color:              white;
            border:             2px solid $darkred;
        }
    }
}


/*=====================================*/
/*----------> MEDIA QUERIES <----------*/
/*=====================================*/

@media screen and (min-width: 1441px) {

    #slideshow{
        #bloc_marker {
            bottom: 20px;
            left:   44%;
        }
    }
}
@media screen and (max-width: 1440px) { // Desktop 1440px de large
    
    #slideshow {

        #bloc_marker {
            bottom : 13px;
            left   : 42%;
        }
    }
}
@media  screen and (max-width: 768px) {

    #slideshow {
        position: relative;
        top: 0 !important;
        width: 100%;
        height: 100%;
    }
}